<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Mon Dec 11 11:05:54 CET 2023 -->
<title>Uses of Class back.mobileElement.Beacon</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-12-11">
<meta name="description" content="use: module: SatellitesBalises, package: back.mobileElement, class: Beacon">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../module-summary.html">Module</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Beacon.html" title="class in back.mobileElement">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class back.mobileElement.Beacon" class="title">Uses of Class<br>back.mobileElement.Beacon</h1>
</div>
<div class="caption"><span>Packages that use <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a></span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="#back">back</a></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><a href="#back.mobileElement">back.mobileElement</a></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><a href="#back.staticElement">back.staticElement</a></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><a href="#view">view</a></div>
<div class="col-last odd-row-color">&nbsp;</div>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="back">
<h2>Uses of <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a> in <a href="../../package-summary.html">back</a></h2>
<div class="caption"><span>Methods in <a href="../../package-summary.html">back</a> that return types with arguments of type <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../Beacon.html" title="class in back.mobileElement">Beacon</a>&gt;</code></div>
<div class="col-second even-row-color"><span class="type-name-label">SimulationContext.</span><code><a href="../../SimulationContext.html#getBeacons()" class="member-name-link">getBeacons</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Récupère la liste de balises.</div>
</div>
</div>
</section>
</li>
<li>
<section class="detail" id="back.mobileElement">
<h2>Uses of <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a> in <a href="../package-summary.html">back.mobileElement</a></h2>
<div class="caption"><span>Methods in <a href="../package-summary.html">back.mobileElement</a> that return types with arguments of type <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Set.html" title="class or interface in java.util" class="external-link">Set</a>&lt;<a href="../Beacon.html" title="class in back.mobileElement">Beacon</a>&gt;</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Satellite.</span><code><a href="../Satellite.html#getBeaconsInSynchro()" class="member-name-link">getBeaconsInSynchro</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Récupère la liste de balises prêtes à la synchronisation.</div>
</div>
</div>
<div class="caption"><span>Methods in <a href="../package-summary.html">back.mobileElement</a> with parameters of type <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>boolean</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Satellite.</span><code><a href="../Satellite.html#isInRangeOf(back.mobileElement.Beacon)" class="member-name-link">isInRangeOf</a><wbr>(<a href="../Beacon.html" title="class in back.mobileElement">Beacon</a>&nbsp;beacon)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<li>
<section class="detail" id="back.staticElement">
<h2>Uses of <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a> in <a href="../../staticElement/package-summary.html">back.staticElement</a></h2>
<div class="caption"><span>Fields in <a href="../../staticElement/package-summary.html">back.staticElement</a> with type parameters of type <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Set.html" title="class or interface in java.util" class="external-link">Set</a>&lt;<a href="../Beacon.html" title="class in back.mobileElement">Beacon</a>&gt;</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Space.</span><code><a href="../../staticElement/Space.html#fullBeacons" class="member-name-link">fullBeacons</a></code></div>
<div class="col-last even-row-color">
<div class="block">Liste unique des balises pleines.</div>
</div>
</div>
<div class="caption"><span>Methods in <a href="../../staticElement/package-summary.html">back.staticElement</a> that return types with arguments of type <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../Beacon.html" title="class in back.mobileElement">Beacon</a>&gt;</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Water.</span><code><a href="../../staticElement/Water.html#getBeacons()" class="member-name-link">getBeacons</a>()</code></div>
<div class="col-last even-row-color">
<div class="block">Récupère la liste des balises.</div>
</div>
<div class="col-first odd-row-color"><code>static <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/Set.html" title="class or interface in java.util" class="external-link">Set</a>&lt;<a href="../Beacon.html" title="class in back.mobileElement">Beacon</a>&gt;</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Space.</span><code><a href="../../staticElement/Space.html#getfullBeacons()" class="member-name-link">getfullBeacons</a>()</code></div>
<div class="col-last odd-row-color">
<div class="block">Récupère la liste de balises prêtes à la synchronisation.</div>
</div>
</div>
<div class="caption"><span>Method parameters in <a href="../../staticElement/package-summary.html">back.staticElement</a> with type arguments of type <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Water.</span><code><a href="../../staticElement/Water.html#setBeacons(java.util.List)" class="member-name-link">setBeacons</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../Beacon.html" title="class in back.mobileElement">Beacon</a>&gt;&nbsp;beacons)</code></div>
<div class="col-last even-row-color">
<div class="block">Définit la liste des balises.</div>
</div>
</div>
<div class="caption"><span>Constructor parameters in <a href="../../staticElement/package-summary.html">back.staticElement</a> with type arguments of type <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier</div>
<div class="table-header col-second">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../../staticElement/Water.html#%3Cinit%3E(int,int,int,int,java.util.List)" class="member-name-link">Water</a><wbr>(int&nbsp;maxX,
 int&nbsp;minX,
 int&nbsp;maxY,
 int&nbsp;minY,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/List.html" title="class or interface in java.util" class="external-link">List</a>&lt;<a href="../Beacon.html" title="class in back.mobileElement">Beacon</a>&gt;&nbsp;beacons)</code></div>
<div class="col-last even-row-color">
<div class="block">Crée l'espace d'eau.</div>
</div>
</div>
</section>
</li>
<li>
<section class="detail" id="view">
<h2>Uses of <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a> in <a href="../../../view/package-summary.html">view</a></h2>
<div class="caption"><span>Constructors in <a href="../../../view/package-summary.html">view</a> with parameters of type <a href="../Beacon.html" title="class in back.mobileElement">Beacon</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier</div>
<div class="table-header col-second">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../../../view/ViewBeacon.html#%3Cinit%3E(back.mobileElement.Beacon)" class="member-name-link">ViewBeacon</a><wbr>(<a href="../Beacon.html" title="class in back.mobileElement">Beacon</a>&nbsp;beacon)</code></div>
<div class="col-last even-row-color">
<div class="block">Crée une représentation d'une balise.</div>
</div>
</div>
</section>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
